Skip to main content
`Ctrl`+`K`

# DMPlexSetSubpointMap

Sets the `DMLabel` with point dimension as values

## Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexSetSubpointMap(DM dm, DMLabel subpointMap)

## Input Parameters

- dm - The submesh `DM`

- subpointMap - The `DMLabel` of all the points from the original mesh in this submesh

## Note

Should normally not be called by the user, since it is set in `DMPlexCreateSubmesh()`

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexCreateSubmesh()`, `DMPlexGetSubpointIS()`

## Level

developer

## Location

src/dm/impls/plex/plexsubmesh.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages